Component({
  data: {
    selected: 0,
    color: "#9498a4",
    selectedColor: "#35dab5",
    list: [{
      pagePath: "/pages/index/index",
      iconPath: "/images/home.png",
      selectedIconPath: "/images/home_on.png",
      text: "首页"
    }, {
        pagePath: "/pages/work/work",
        iconPath: "/images/work.png",
        selectedIconPath: "/images/work_on.png",
        text: "办理"
        }, {
          pagePath: "/pages/mine/mine",
          iconPath: "/images/mine.png",
          selectedIconPath: "/images/mine_on.png",
          text: "我的"
        }]
  },
  attached() {
  },
  methods: {
    switchTab(e) {
      const data = e.currentTarget.dataset
      const url = data.path
      wx.switchTab({url})
      this.setData({
        selected: data.index
      })
    }
  }
})