const req = require('../../utils/request.js')
const util = require('../../utils/util.js')

const Case_List_URL = "/platform/app/case/getCases";
// pages/work/work.js
//获取应用实例
const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
   
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
   
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
   
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})
Component({
  data: {
    menuTapCurrent:0,
    surveyorId:"c64a18707e974f91945e0e872b7f5b98",
    CaseList:undefined
  },
    
  methods: {
    // 点击按钮选项卡切换
    menuTap: function (e) {
      var current = e.currentTarget.dataset.current;//获取到绑定的数据
      //改变menuTapCurrent的值为当前选中的menu所绑定的数据
      this.setData({
          menuTapCurrent: current
      });
      var that = this;
      that.getList();
    },
    onLoad: function (options) {
      wx.showLoading({
        title: '加载中...',
      });
      var that = this;
      that.getList();
    },
    getList: function () {
      var that = this;
      const data = { "pageSize": 20, "pageNumber": 1 , surveyorId: that.data.surveyorId,status: that.data.menuTapCurrent+1};
      req.getRequest(Case_List_URL, data, function (res) {
        wx.hideLoading();
        if (res.data.code == 0) {
          let cases=res.data.data.list;
          for(let c in cases){
            let  date = util.formatTime(cases[c].updatetime,"date")
            cases[c].updatetime = date
          }
          that.setData({
            CaseList: cases
          });      
        }  
      }, function (res) {
        wx.hideLoading();
        console.log(res);
      });
    }
  },
  pageLifetimes: {
    show() {
      if (typeof this.getTabBar === 'function' &&
        this.getTabBar()) {
        this.getTabBar().setData({
          selected: 1
        })
      }
    }
  },
})