//index.js

const req = require('../../utils/request.js')
const util = require('../../utils/util.js')

const Case_List_URL = "/platform/app/case/getCases";
//获取应用实例
const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
   
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})

Component({
  data: {
    surveyorId:"c64a18707e974f91945e0e872b7f5b98",
    CaseList:undefined,
    num:0
  },
  methods: {
    onLoad: function (options) {
      var that = this;
      const dataParams = {
        "pageSize": 20, "pageNumber": 1 ,
        status: 4,
        surveyorId: that.data.surveyorId
      };
      req.getRequest(Case_List_URL, dataParams, function (res) {
        wx.hideLoading();
        console.log(res)
        if (res.data.code == 0) {
          let cases=res.data.data.list;
          for(let c in cases){
            let  date = util.formatTime(cases[c].updatetime,"date")
            cases[c].updatetime = date
          }
          that.setData({
            CaseList: res.data.data.list
          });      
        }
      }, function (res) {
        wx.hideLoading();
        console.log(res);
      });
      that.getNowCase();
    },
    getNowCase:function(){
      var that = this;
      const dataParams = {
        status: 1,
        surveyorId: that.data.surveyorId
      };
      req.getRequest(Case_List_URL, dataParams, function (res) {
        wx.hideLoading();
        // console.log(res)
        if (res.data.code == 0) {

          that.setData({
            num: res.data.data.list.length
          });      
        }
      }, function (res) {
        wx.hideLoading();
        console.log(res);
      });
    }
  },
  pageLifetimes: {
    show() {
      if (typeof this.getTabBar === 'function' &&
      this.getTabBar()) {
      this.getTabBar().setData({
        selected: 0
      })
    }
    }
  },
})